<?php
declare(strict_types=1);

defined('TYPO3') or die();

/* First Plugin - START */
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'bootstrap_accordion',
    'AccordionSingle',
    'Single Bootstrap Accordion'
);

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['bootstrapaccordion_accordionsingle']='pages,layout,select_key,recursive';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['bootstrapaccordion_accordionsingle']='pi_flexform';
/* First Plugin - END */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
    'bootstrapaccordion_accordionsingle',
    'FILE:EXT:bootstrap_accordion/Configuration/Flexforms/Accordion.xml'
);

/* Second Plugin - START */
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'bootstrap_accordion',
    'AccordionGroup',
    'Single Bootstrap Accordion as TCA Group'
);

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['bootstrapaccordion_accordiongroup']='pages,layout,select_key,recursive';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['bootstrapaccordion_accordiongroup']='pi_flexform';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
    'bootstrapaccordion_accordiongroup',
    'FILE:EXT:bootstrap_accordion/Configuration/Flexforms/AccordionGroup.xml'
);
/* Second Plugin - END */