<?php declare(strict_types=1);
namespace Slavlee\BootstrapAccordion\Controller;
defined('TYPO3') or die();

use Psr\Http\Message\ResponseInterface;
use TYPO3\CMS\Core\Utility\GeneralUtility;

class AccordionController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{
    /**
     * Displays a single Bootstrap Accordion
     */
    public function showAction(): ResponseInterface
    {        
        $this->view->assign('contentObjectData', $this->configurationManager->getContentObject()->data);
        return $this->htmlResponse();
    }

    /**
     * Displays a single Bootstrap Accordion as TCA group
     */
    public function showGroupAction(): ResponseInterface
    {        
        $this->view->assign('contentObjectData', $this->configurationManager->getContentObject()->data);
        return $this->htmlResponse();
    }
}